package com.engine.attendance.enums;

import com.finance.toolkit.BaseEnum;

/**
 * 作用时段
 */
public enum WorkForTimeEnum implements BaseEnum {
    ALL_TIME("0","所有时段"),
    WORK_TIME("1","工作时段"),
    DELAY_TO_WORK_OVERTIME("2","延长加班"),
    EARLY_TO_WORK_OVERTIME("3","早到加班"),
    PLAN_WORK_OVERTIME("4","计划加班"),
    LEAVE_TIME("5","请假时段"),
    EVECTION("6","外出出差"),
    OVERTIME_IN_CLASS("7","班内加班");


    private String key;
    private String value;

    WorkForTimeEnum(String key, String value){
        this.key=key;
        this.value=value;
    }


    @Override
    public String getKey() {
        return this.key;
    }

    @Override
    public String getValue() {
        return this.value;
    }
}
